## trunk?format=zip&rev=2753

=== src/CMakeLists.txt ===
###
# CMakeLists.txt for _asap.so
###

# root for libatnf
set( ASAPROOT ${ASAP_SOURCE_DIR} )
set( SRCDIR ${ASAPROOT}/src )

# include QT_USE_FILE
include( ${QT_USE_FILE} )

# include path
include_directories( ${SRCDIR} 
                     ${Boost_INCLUDE_DIR}
                     ${QT4_INCLUDE_DIRS}
                     ${ASAPROOT}/external-alma 
                     ${ASAPROOT}/external/libpyrap/pyrap-0.3.2 )

# link path
link_directories( ${SRCDIR} )

# use libpyrap
add_definitions( -DHAVE_LIBPYRAP )

# source files for libpyrap
set( ASAP_SRCS
#     ${SRCDIR}/Plotter2.cpp
     ${SRCDIR}/concurrent.cpp
     ${SRCDIR}/MathUtils.cpp
     ${SRCDIR}/TableTraverse.cpp
     ${SRCDIR}/RowAccumulator.cpp
     ${SRCDIR}/LineCatalog.cpp
     ${SRCDIR}/STAttr.cpp
     ${SRCDIR}/STHeader.cpp 
     ${SRCDIR}/STFiller.cpp
     ${SRCDIR}/STMath.cpp
     ${SRCDIR}/STSubTable.cpp
     ${SRCDIR}/STMolecules.cpp
     ${SRCDIR}/STTcal.cpp
     ${SRCDIR}/STFocus.cpp
     ${SRCDIR}/STWeather.cpp
     ${SRCDIR}/STFrequencies.cpp
     ${SRCDIR}/STHistory.cpp
     ${SRCDIR}/STSelector.cpp
     ${SRCDIR}/STLineFinder.cpp
     ${SRCDIR}/STFitter.cpp
     ${SRCDIR}/STFitEntry.cpp
     ${SRCDIR}/STFit.cpp
     ${SRCDIR}/STPol.cpp
     ${SRCDIR}/STPolLinear.cpp
     ${SRCDIR}/STPolCircular.cpp
     ${SRCDIR}/STPolStokes.cpp
     ${SRCDIR}/STWriter.cpp
     ${SRCDIR}/STAsciiWriter.cpp
     ${SRCDIR}/STFITSImageWriter.cpp
     ${SRCDIR}/STAtmosphere.cpp
     ${SRCDIR}/Scantable.cpp
     ${SRCDIR}/FillerBase.cpp
     ${SRCDIR}/NROFiller.cpp
     ${SRCDIR}/PKSFiller.cpp
     ${SRCDIR}/MSFiller.cpp
     ${SRCDIR}/MSWriter.cpp
     ${SRCDIR}/AsapLogSink.cpp
     ${SRCDIR}/STUpgrade.cpp 
     ${SRCDIR}/STGrid.cpp
     ${SRCDIR}/STIdxIter.cpp
     ${SRCDIR}/EdgeMarker.cpp
     ${SRCDIR}/EdgeDetector.cpp
     ${SRCDIR}/RasterEdgeDetector.cpp
     ${SRCDIR}/GenericEdgeDetector.cpp
     ${SRCDIR}/PlotHelper.cpp
     ${SRCDIR}/STSideBandSep.cpp
     ${SRCDIR}/STApplyTable.cpp
     ${SRCDIR}/STCalTsysTable.cpp
     ${SRCDIR}/STCalSkyTable.cpp
     ${SRCDIR}/STCalibration.cpp
     ${SRCDIR}/STCalSkyPSAlma.cpp
     ${SRCDIR}/STCalTsys.cpp
     ${SRCDIR}/STApplyCal.cpp
     ${SRCDIR}/Calibrator.cpp
     ${SRCDIR}/PSAlmaCalibrator.cpp
     ${SRCDIR}/STBaselineTable.cpp
     ${SRCDIR}/CalibrationManager.cpp )

set( ASAP_PYSRCS
#     ${SRCDIR}/python_Plotter2.cpp
     ${SRCDIR}/python_Scantable.cpp
     ${SRCDIR}/python_STFiller.cpp
     ${SRCDIR}/python_STSelector.cpp
     ${SRCDIR}/python_STMath.cpp
     ${SRCDIR}/python_Fitter.cpp
     ${SRCDIR}/python_STLineFinder.cpp
     ${SRCDIR}/python_STFitEntry.cpp
     ${SRCDIR}/python_STWriter.cpp
     ${SRCDIR}/python_LineCatalog.cpp
     ${SRCDIR}/python_SrcType.cpp
     ${SRCDIR}/python_STAtmosphere.cpp
     ${SRCDIR}/python_STCoordinate.cpp
     ${SRCDIR}/python_Filler.cpp
     ${SRCDIR}/python_MSFiller.cpp
     ${SRCDIR}/python_MSWriter.cpp
     ${SRCDIR}/python_LogSink.cpp
     ${SRCDIR}/python_STGrid.cpp
     ${SRCDIR}/python_Iterator.cpp
     ${SRCDIR}/python_EdgeMarker.cpp
     ${SRCDIR}/python_PlotHelper.cpp
     ${SRCDIR}/python_STSideBandSep.cpp
     ${SRCDIR}/python_CalibrationManager.cpp
     ${SRCDIR}/python_asap.cpp )

add_library( ${ASAPLIB} SHARED ${ASAP_SRCS} )
add_library( ${ASAPPYLIB} SHARED ${ASAP_PYSRCS} )

# library name must be _asap.so
set_target_properties( ${ASAPPYLIB}
                       PROPERTIES
                       PREFIX ""
                       SUFFIX .so )

target_link_libraries( ${ASAPLIB} 
                       #${Boost_LIBRARIES}
                       ${QT4_LIBRARIES} 
                       ${PYRAPLIB} 
                       ${ATNFLIB} 
                       #${CASACORE_LIBRARIES} 
                       ${WCSLIB} )
target_link_libraries( ${ASAPPYLIB} 
                       ${ASAPLIB} )

add_dependencies( inst ${ASAPLIB} 
                       ${ASAPPYLIB} )

# install directory
install( TARGETS ${ASAPLIB}
         LIBRARY DESTINATION ${LIB_INSTALL_DIR} )
install( TARGETS ${ASAPPYLIB}
         LIBRARY DESTINATION ${PYTHON_INSTALL_DIR} )
#if( NOT STANDALONE )
#  execute_process(
#    COMMAND ln -Fs ../${PYTHON_INSTALL_DIR}/_${ASAPLIB}.so ${CMAKE_INSTALL_PREFIX}/lib/_${ASAPLIB}.so
#    OUTPUT_VARIABLE stuff)
#endif()

=== packages/invirt-web/debian/changelog ===
invirt-web (0.1.1) unstable; urgency=low

  * Use a different Mako template cache for auth.fcgi and unauth.fcgi
  * Use shell scripts for the auth.fcgi and unauth.fcgi so that Apache
    will not think they are the same script.

 -- Quentin Smith <quentin@mit.edu>  Sun, 20 Dec 2009 23:53:17 -0500

invirt-web (0.1.0) unstable; urgency=low

  [Quentin Smith]
  * Switch to CherryPy in place of our home-grown web framework.
  * Switch from the Cheetah templating engine to the Mako templating engine.
  * New URI scheme: /machine/<numeric-id>/<operation>
    rather than /<operation>?machine_id=<numeric-id> .
  * Fix power-on/power-off/reboot buttons for IE <=8.
  * Move some bits of presentation code from Python into templates.
  * Clarify that Windows licenses are available from MIT for staff.

  [Evan Broder]
  * Show newlines from descriptions in list page.
  * Only aklog to a cell if encryption is actually needed.
  * Re-arrange the authz configuration.

 -- Greg Price <price@mit.edu>  Sat, 19 Dec 2009 21:53:40 -0500

invirt-web (0.0.24) unstable; urgency=low

  * Update authorization code for new config structure.

 -- Evan Broder <broder@mit.edu>  Wed, 16 Dec 2009 11:47:13 -0600

invirt-web (0.0.23) unstable; urgency=low

  * Revert 0.0.22, since running VMs still have a password set.

 -- Evan Broder <broder@mit.edu>  Mon, 28 Sep 2009 23:24:00 -0400

invirt-web (0.0.22) unstable; urgency=low

  * Don't supply a password to the VNC server, since one is no longer
    required.

 -- Evan Broder <broder@mit.edu>  Mon, 28 Sep 2009 21:24:06 -0400

invirt-web (0.0.21) unstable; urgency=low

  [ Quentin Smith ]
  * Don't reuse IP addresses that are special in some way.

  [ Evan Broder ]
  * Cache the membership of the adminacl in addition to the ACLs for
    machines.

 -- Evan Broder <broder@mit.edu>  Fri, 27 Feb 2009 21:06:55 -0500

invirt-web (0.0.20) unstable; urgency=low

  * Don't confuse MB with MiB, or GB with GiB.

 -- Anders Kaseorg <andersk@mit.edu>  Tue, 17 Feb 2009 04:54:54 -0500

invirt-web (0.0.19) unstable; urgency=low

  * modified quota checking to refer to invirt.database.Owner for quotas and defaults

 -- Peter A. Iannucci <iannucci@mit.edu>  Tue, 17 Feb 2009 01:31:01 -0500

invirt-web (0.0.18) unstable; urgency=low

  * depend on apache2, libapache2-mod-auth-sslcert, python-dnspython
  * enable Apache modules we need
  * get mitCAclient.pem from debathena-ssl-certificates
  * organize our 24 dependencies a bit

 -- Greg Price <price@mit.edu>  Sat, 31 Jan 2009 14:59:14 -0500

invirt-web (0.0.17) unstable; urgency=low

  * Add Provides and Conflicts lines to debian/control for
    config-package-dev

 -- Evan Broder <broder@mit.edu>  Sat, 24 Jan 2009 20:15:29 -0500

invirt-web (0.0.16) unstable; urgency=low

  * Fix a security vulnerability: traditional `pts mem` is in cleartext
    and could be spoofed.  Use new -encrypt option, which needs tokens.

  * make initscript stop command not leave apache2 processes lying around
    (so that restart works)
  * Depend on mail-transport-agent, not postfix.

 -- Greg Price <price@mit.edu>  Tue, 30 Dec 2008 17:43:41 -0500

invirt-web (0.0.15) unstable; urgency=low

  * config.{authn[0] => kerberos}.realm

 -- Evan Broder <broder@mit.edu>  Wed, 10 Dec 2008 23:30:46 -0500

invirt-web (0.0.14) unstable; urgency=low

  * Depend on invirt-web-iptables

 -- Evan Broder <broder@mit.edu>  Sun, 07 Dec 2008 09:12:45 -0500

invirt-web (0.0.13) unstable; urgency=low

  * Add cron dependency

 -- Evan Broder <broder@mit.edu>  Thu, 20 Nov 2008 11:01:12 -0500

invirt-web (0.0.12) unstable; urgency=low

  * Whoops - forgot to drop an option to k5start

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 04:59:31 -0500

invirt-web (0.0.11) unstable; urgency=low

  * Use daemon/$HOSTNAME for the svn repository instead of the first
    principal in the keytab

 -- Evan Broder <broder@mit.edu>  Mon, 17 Nov 2008 04:56:36 -0500

invirt-web (0.0.10) unstable; urgency=low

  * Make /etc/apache2/sites-available/default a mako template
  * Fix a mistyped variable

 -- Evan Broder <broder@mit.edu>  Sat, 15 Nov 2008 23:27:56 -0500

invirt-web (0.0.9) unstable; urgency=low

  * Move trac off-site - redirect somewhere else

 -- Evan Broder <broder@mit.edu>  Sat, 15 Nov 2008 23:12:57 -0500

invirt-web (0.0.8) unstable; urgency=low

  * Don't depend on invirt-mail-config

 -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 22:50:00 -0500

invirt-web (0.0.7) unstable; urgency=low

  * Query against the local nameserver to be sure there's no caching of
    deleted hosts
  * Depend on invirt-dns to be sure that a nameserver is running locally
  * Depend on invirt-mail-config

 -- Evan Broder <broder@mit.edu>  Thu, 06 Nov 2008 21:47:37 -0500

invirt-web (0.0.6) unstable; urgency=low

  * The web server needs a working AFS; make sure OpenAFS modules are
    installed

 -- Evan Broder <broder@mit.edu>  Mon, 03 Nov 2008 03:40:51 -0500

invirt-web (0.0.5) unstable; urgency=low

  * Add new dependency on python-dns

 -- Evan Broder <broder@mit.edu>  Fri, 31 Oct 2008 22:57:41 -0400

invirt-web (0.0.4) unstable; urgency=low

  * sipb-xen-base -> invirt-base

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:23:35 -0400

invirt-web (0.0.3) unstable; urgency=low

  * sipb-xen-vnc-client -> invirt-vnc-client

 -- Evan Broder <broder@mit.edu>  Sun, 26 Oct 2008 17:28:51 -0400

invirt-web (0.0.2) unstable; urgency=low

  * /sipb-xen -> /invirt in apt repo URI

 -- Greg Price <price@mit.edu>  Sun, 26 Oct 2008 04:56:21 -0400

invirt-web (0.0.1) unstable; urgency=low

  * sipb-xen-www -> invirt-web

 -- Greg Price <price@mit.edu>  Sat, 25 Oct 2008 22:09:29 -0400

sipb-xen-www (3.18) unstable; urgency=low

  * sipb-xen-database-common -> invirt-database

 -- Evan Broder <broder@mit.edu>  Sat, 25 Oct 2008 21:04:09 -0400

sipb-xen-www (3.17) unstable; urgency=low

  [ Quentin Smith ]
  * Add Kerberos-authenticated web interface on port 442

  [ Evan Broder ]


=== packages/xvm-devconfig/debian/changelog ===
xvm-devconfig (0.46) unstable; urgency=low

  * Use some gpg key to run some apt repository for testing purposes.

 -- Evan Broder <broder@mit.edu>  Thu, 17 Dec 2009 17:07:46 -0600

xvm-devconfig (0.45) unstable; urgency=low

  * Whoops - xvm-devconfig doesn't have the &adminacl reference that's
    defined in xvm-prodconfig.

 -- Evan Broder <broder@mit.edu>  Thu, 17 Dec 2009 13:10:12 -0600

xvm-devconfig (0.44) unstable; urgency=low

  * Add build server configuration for testing the invirtibuilder.

 -- Evan Broder <broder@mit.edu>  Thu, 17 Dec 2009 13:03:13 -0600

xvm-devconfig (0.43) unstable; urgency=low

  * Update authz config for {invirt => xvm}.authz.locker move.

 -- Evan Broder <broder@mit.edu>  Tue, 15 Dec 2009 19:24:15 -0500

xvm-devconfig (0.42) unstable; urgency=low

  * Add gbrockm to xvm-dev as reflected in k5login

 -- Quentin Smith <quentin@mit.edu>  Mon, 30 Nov 2009 20:43:32 -0500

xvm-devconfig (0.41) unstable; urgency=low

  * Add jiawen to xvm-dev as reflected in k5login.

 -- Greg Price <price@mit.edu>  Mon, 19 Oct 2009 20:13:12 -0400

xvm-devconfig (0.40) unstable; urgency=low

  * Add oremanj to xvm-dev as reflected in k5login.

 -- Greg Price <price@mit.edu>  Mon, 21 Sep 2009 19:49:41 -0400

xvm-devconfig (0.39) unstable; urgency=low

  * Add ppasupat, burrows, jontec, gyz to xvm-dev as reflected in k5login,
    for hackathon.

 -- Greg Price <price@mit.edu>  Sun, 20 Sep 2009 14:57:24 -0400

xvm-devconfig (0.38) unstable; urgency=low

  * Add pweaver to xvm-dev as reflected in k5login.

 -- Greg Price <price@mit.edu>  Sun, 20 Sep 2009 00:02:39 -0400

xvm-devconfig (0.37) unstable; urgency=low

  * Forward automail to xvm-dev-auto rather than xvm@.

 -- Greg Price <price@mit.edu>  Thu, 10 Sep 2009 22:23:27 -0400

xvm-devconfig (0.36) unstable; urgency=low

  * Send root's mail to xvm-dev@mit.edu, instead of xvm@mit.edu, since
    xvm-dev is the list with bits on the dev cluster.

 -- Evan Broder <broder@mit.edu>  Tue, 08 Sep 2009 11:48:15 -0400

xvm-devconfig (0.35) unstable; urgency=low

  * Add adehnert to xvm-dev as reflected in k5login.

 -- Greg Price <price@mit.edu>  Mon, 07 Sep 2009 23:02:58 -0400

xvm-devconfig (0.34) unstable; urgency=low

  * Sync the k5login with xvm-dev (add mitchb).

 -- Evan Broder <broder@mit.edu>  Fri, 28 Aug 2009 21:57:05 -0400

xvm-devconfig (0.33) unstable; urgency=low

  * Add a mail.contact entry for who to forward mail to.

 -- Evan Broder <broder@mit.edu>  Sat, 28 Mar 2009 19:51:11 -0400

xvm-devconfig (0.32) unstable; urgency=low

  * No really. I don't want mail from dev. Ever.

 -- Evan Broder <broder@mit.edu>  Tue, 10 Mar 2009 03:52:53 -0400

xvm-devconfig (0.31) unstable; urgency=low

  * Use the slightly more restrictive xvm-dev for the adminacl instead of
    xvm.

 -- Evan Broder <broder@mit.edu>  Fri, 27 Feb 2009 21:14:07 -0500

xvm-devconfig (0.30) unstable; urgency=low

  * Make adminacl a global setting.
  * Use a common value for the various contact fields.

 -- Evan Broder <broder@mit.edu>  Fri, 27 Feb 2009 15:45:34 -0500

xvm-devconfig (0.29) unstable; urgency=low

  * Act authoritative for {1,2}.181.18.in-addr.arpa

 -- Quentin Smith <quentin@mit.edu>  Fri, 27 Feb 2009 02:20:58 -0500

xvm-devconfig (0.28) unstable; urgency=low

  * Add quentin to errormail_exclude

 -- Quentin Smith <quentin@mit.edu>  Mon, 16 Feb 2009 16:30:32 -0500

xvm-devconfig (0.27) unstable; urgency=low

  * Specify whether to authenticate PRDB lookups for each AFS cell.

 -- Evan Broder <broder@mit.edu>  Sat, 14 Feb 2009 22:08:46 -0500

xvm-devconfig (0.26) unstable; urgency=low

  * Add iannucci to the dev acl.

 -- Evan Broder <broder@mit.edu>  Thu, 12 Feb 2009 21:43:11 -0500

xvm-devconfig (0.25) unstable; urgency=low

  * Add the sysvm configs.

 -- Greg Price <price@mit.edu>  Tue, 03 Feb 2009 00:24:20 -0500

xvm-devconfig (0.24) unstable; urgency=low

  * Add the dhcp block.

 -- Evan Broder <broder@mit.edu>  Sat, 31 Jan 2009 23:37:27 -0500

xvm-devconfig (0.23) unstable; urgency=low

  * Typo fix. /Actually/ install the k5login.

 -- Evan Broder <broder@mit.edu>  Sat, 31 Jan 2009 22:43:40 -0500

xvm-devconfig (0.22) unstable; urgency=low

  * Two hosts! Add torchwood-institute to the list of hosts.
  * Add ezyang to the dev acl.

 -- Evan Broder <broder@mit.edu>  Sat, 31 Jan 2009 22:17:13 -0500

xvm-devconfig (0.21) unstable; urgency=low

  * Include a trac stanza to make invirt-web happy.
  * xen.network.iface = eth0
  * Add a vnc stanza.
  * Add nathan_ to dev acl.

 -- Greg Price <price@mit.edu>  Sat, 31 Jan 2009 15:31:03 -0500

xvm-devconfig (0.20) unstable; urgency=low

  * Install the dev cluster .k5login.
  * Fix the maintainer field.

 -- Evan Broder <broder@mit.edu>  Sat, 31 Jan 2009 03:14:06 -0500

xvm-devconfig (0.19) unstable; urgency=low

  * Punt unnecessarily deep files/ directory structure.

 -- Evan Broder <broder@mit.edu>  Fri, 30 Jan 2009 20:01:03 -0500

xvm-devconfig (0.18) unstable; urgency=low

  * First draft of config for new dev cluster.

 -- Greg Price <price@mit.edu>  Fri, 30 Jan 2009 07:03:47 -0500

xvm-devconfig (0.17) unstable; urgency=low

  * Activate the invirt-reload trigger instead of running invirt-reload
    directly.

 -- Evan Broder <broder@mit.edu>  Mon, 26 Jan 2009 08:10:45 -0500

xvm-devconfig (0.16) unstable; urgency=low

  * Prod launched! Move the development cluster to the dev names

 -- Evan Broder <broder@mit.edu>  Sat, 15 Nov 2008 09:43:03 -0500

xvm-devconfig (0.15) unstable; urgency=low

  * Use xvm.mit.edu instead of sipb-xen-dev.mit.edu as the database
    hostname

 -- Evan Broder <broder@mit.edu>  Sat, 01 Nov 2008 05:57:46 -0400

xvm-devconfig (0.14) unstable; urgency=low

  * sipb-xen-base -> invirt-base

 -- Evan Broder <broder@mit.edu>  Tue, 28 Oct 2008 04:23:42 -0400

xvm-devconfig (0.13) unstable; urgency=low

  * sipb-xen-console -> xvm-console
  * remote -> xvm-remote (at least canonically)

 -- Evan Broder <broder@mit.edu>  Mon, 27 Oct 2008 14:25:13 -0400



=== packages/xvm-mail-config/debian/control ===
Source: xvm-mail-config
Section: servers
Priority: extra
Maintainer: SIPB XVM Project <xvm@mit.edu>
Build-Depends: cdbs, debhelper (>= 5), config-package-dev
Standards-Version: 3.8.0

Package: xvm-mail-config
Architecture: all
Pre-Depends: debconf
Depends: ${shlibs:Depends}, ${misc:Depends}, postfix, procmail
Provides: ${diverted-files}
Conflicts: ${diverted-files}
Description: Configure mail forwarding on XVM Servers
 Configure an MTA for all servers. Accept mail on the 10.5.128/24
 backend network. Forward all mail for root to xvm-root@mit.edu
